SystemOrganization addCategory: #'LeapMotion-FFI'!
SystemOrganization addCategory: #'LeapMotion-Etoys'!
SystemOrganization addCategory: #'LeapMotion-Core'!

Player subclass: #LeapMotionPlayer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-Etoys'!

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:07'!
connect
	^ self sendMessageToCostume: #connect! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:07'!
disconnect
	^ self sendMessageToCostume: #disconnect! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 01:00'!
getCurrentFramesPerSecond
	^ self sendMessageToCostume: #currentFramesPerSecond! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 01:01'!
getFingersCount
	^ self sendMessageToCostume: #fingersCount! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 01:01'!
getGesturesCount
	^ self sendMessageToCostume: #gesturesCount! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 01:01'!
getHandsCount
	^ self sendMessageToCostume: #handsCount! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:40'!
getIbDepth
	^ self sendMessageToCostume: #depth! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:40'!
getIbHeight
	^ self sendMessageToCostume: #height! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:39'!
getIbWidth
	^ self sendMessageToCostume: #width! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:20'!
getIsConnected
	^ self sendMessageToCostume: #isConnected! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:21'!
getLeapMotionPitch
	^ self sendMessageToCostume: #pitch! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:21'!
getLeapMotionRoll
	^ self sendMessageToCostume: #roll! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:21'!
getLeapMotionYaw
	^ self sendMessageToCostume: #yaw! !

!LeapMotionPlayer methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 01:01'!
getToolsCount
	^ self sendMessageToCostume: #toolsCount! !

Morph subclass: #LeapControllerMorph
	instanceVariableNames: 'leap'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-Etoys'!

!LeapControllerMorph class methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:38'!
additionsToViewerCategories

^ #(

(#'leap motion - connection' (

#(command connect 'Connects this device' )
#(command disconnect 'Disconnects this device' )
#(slot IsConnected 'Shows if the device is connected' Boolean readOnly Player getIsConnected Player unused )

))

(#'leap motion - frame' (

#(slot currentFramesPerSecond 'Shows the FPS' Number readOnly Player getCurrentFramesPerSecond Player unused )
#(slot handsCount 'Shows the number of hands detected' Number readOnly Player getHandsCount Player unused )
#(slot fingersCount 'Shows the number of fingers detected' Number readOnly Player getFingersCount Player unused )
#(slot toolsCount 'Shows the number of tools detected' Number readOnly Player getToolsCount Player unused )
#(slot gesturesCount 'Shows the number of gestures detected' Number readOnly Player getGesturesCount Player unused )

))


(#'leap motion - interaction box' (

#(slot IbDepth 'Shows the depth of the interaction box' Number readOnly Player getIbDepth Player unused )
#(slot IbHeight 'Shows the height of the interaction box' Number readOnly Player getIbHeight Player unused )
#(slot IbWidth 'Shows the width of the interaction box' Number readOnly Player getIbWidth Player unused )



))


(#'leap motion - general' (

#(slot #pitch 'Shows the pitch value of the LeapMotion' Number readOnly Player getLeapMotionPitch Player unused )
#(slot #roll 'Shows the roll value of the LeapMotion' Number readOnly Player getLeapMotionRoll Player unused )
#(slot #yaw 'Shows the yaw value of the LeapMotion' Number readOnly Player getLeapMotionYaw Player unused )

))





)! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:03'!
connect

leap connect.! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:23'!
currentFramesPerSecond

^ leap  frame currentFramesPerSecond! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:28'!
depth

^ leap frame ib depth! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:03'!
disconnect

leap disconnect.! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:23'!
fingersCount

^ leap frame fingersCount! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:23'!
gesturesCount

^ leap frame  gesturesCount! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:23'!
handsCount

^ leap frame  handsCount! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:28'!
height

^ leap frame ib height! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 14:51'!
initialize

	super initialize.
	leap := LeapMotion  new.! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:05'!
isConnected 

^ leap  isConnected ! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 14:54'!
newPlayerInstance
	^ LeapMotionPlayer newUserInstance! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 16:52'!
pitch
	| hand |
	hand := leap frame hand1.
	^ hand isValid
		ifTrue: [hand pitch]
		ifFalse: [0]! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 16:52'!
roll
	| hand |
	hand := leap frame hand1.
	^ hand isValid
		ifTrue: [hand roll]
		ifFalse: [0]! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:23'!
toolsCount

^ leap frame toolsCount! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:28'!
width
^ leap frame ib width! !

!LeapControllerMorph methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 16:52'!
yaw
	| hand |
	hand := leap frame hand1.
	^ hand isValid
		ifTrue: [hand yaw]
		ifFalse: [0]! !

Object subclass: #LeapMotion
	instanceVariableNames: 'isConnected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-Core'!

!LeapMotion methodsFor: 'as yet unclassified' stamp: 'sgb 6/11/2014 14:26'!
connect

self isConnected ifTrue: [^ self].
LeapMotionApi apiCreate.
isConnected:=true.
LeapMotionApi apiEnableAllGestures.
! !

!LeapMotion methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 12:10'!
disconnect

self isConnected ifFalse: [^ self].
isConnected:=false.
LeapMotionApi apiDestroy.
! !

!LeapMotion methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:25'!
frame
 ^ self isConnected
	ifTrue: [LeapMotionApi apiGetFrameGeneralData]
	ifFalse: [LeapFrame nil]! !

!LeapMotion methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 12:14'!
initialize 
isConnected :=false.

! !

!LeapMotion methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 11:44'!
isConnected
^ isConnected 

! !

Object subclass: #LeapMotionApi
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'Richo 5/6/2014 19:38'!
apiCreate
	<apicall: long 'create' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'Richo 5/6/2014 19:38'!
apiDestroy
	<apicall: long 'destroy' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'sgb 6/4/2014 19:04'!
apiDisableAllGestures
	<apicall: long 'disableAllGestures' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'sgb 6/4/2014 19:03'!
apiEnableAllGestures
	<apicall: long 'enableAllGestures' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'Richo 5/6/2014 19:38'!
apiFoo
	<apicall: long 'foo' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'sgb 6/4/2014 19:00'!
apiGetFrameGeneralData 
	<apicall: LeapFrame 'getFrameGeneralData' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

!LeapMotionApi class methodsFor: 'as yet unclassified' stamp: 'sgb 5/8/2014 17:57'!
apiPruebaFingers
	<apicall: long 'pruebaFingers' () module: 'Prueba2.dll'>
	^ self externalCallFailed! !

ExternalStructure subclass: #Finger
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

!Finger class methodsFor: 'as yet unclassified' stamp: 'sgb 6/5/2014 17:19'!
fields
"
	self defineFields.
"
	^ #(
	(width 'float')
	(length 'float')
	(touchDistance 'float')
	(isFinger 'long')	
	(isTool 'long')	
	(id 'long')	
	(direction 'Vector3')	
	(tipPosition 'Vector3')	
	(touchZone 'long')	
	)! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
direction
	"This method was automatically generated"
	^Vector3 fromHandle: (handle structAt: 25 length: 16)! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
direction: anObject
	"This method was automatically generated"
	handle structAt: 25 put: anObject getHandle length: 16.! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
id
	"This method was automatically generated"
	^handle signedLongAt: 21! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
id: anObject
	"This method was automatically generated"
	handle signedLongAt: 21 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
isFinger
	"This method was automatically generated"
	^handle signedLongAt: 13! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
isFinger: anObject
	"This method was automatically generated"
	handle signedLongAt: 13 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
isTool
	"This method was automatically generated"
	^handle signedLongAt: 17! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
isTool: anObject
	"This method was automatically generated"
	handle signedLongAt: 17 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
length
	"This method was automatically generated"
	^handle floatAt: 5! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
length: anObject
	"This method was automatically generated"
	handle floatAt: 5 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
tipPosition
	"This method was automatically generated"
	^Vector3 fromHandle: (handle structAt: 41 length: 16)! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
tipPosition: anObject
	"This method was automatically generated"
	handle structAt: 41 put: anObject getHandle length: 16.! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
touchDistance
	"This method was automatically generated"
	^handle floatAt: 9! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
touchDistance: anObject
	"This method was automatically generated"
	handle floatAt: 9 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
touchZone
	"This method was automatically generated"
	^handle signedLongAt: 57! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
touchZone: anObject
	"This method was automatically generated"
	handle signedLongAt: 57 put: anObject! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
width
	"This method was automatically generated"
	^handle floatAt: 1! !

!Finger methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:19'!
width: anObject
	"This method was automatically generated"
	handle floatAt: 1 put: anObject! !

ExternalStructure subclass: #Hand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

!Hand class methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 16:50'!
fields
"
	self defineFields.
"
	^ #(
	(sphereRadius 'float')
	(id 'long') 
	(isValidN 'long') 
	(pitch 'float')
	(yaw 'float')	
	(roll 'float')	
	(sphereCenter 'Vector3')
	(palmPosition 'Vector3')	
	(finger1 'Finger')
	(finger2 'Finger')
	(finger3 'Finger')
	(finger4 'Finger')
	(finger5 'Finger')
	)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger1
	"This method was automatically generated"
	^Finger fromHandle: (handle structAt: 57 length: 60)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger1: anObject
	"This method was automatically generated"
	handle structAt: 57 put: anObject getHandle length: 60.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger2
	"This method was automatically generated"
	^Finger fromHandle: (handle structAt: 117 length: 60)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger2: anObject
	"This method was automatically generated"
	handle structAt: 117 put: anObject getHandle length: 60.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger3
	"This method was automatically generated"
	^Finger fromHandle: (handle structAt: 177 length: 60)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger3: anObject
	"This method was automatically generated"
	handle structAt: 177 put: anObject getHandle length: 60.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger4
	"This method was automatically generated"
	^Finger fromHandle: (handle structAt: 237 length: 60)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger4: anObject
	"This method was automatically generated"
	handle structAt: 237 put: anObject getHandle length: 60.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger5
	"This method was automatically generated"
	^Finger fromHandle: (handle structAt: 297 length: 60)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
finger5: anObject
	"This method was automatically generated"
	handle structAt: 297 put: anObject getHandle length: 60.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
id
	"This method was automatically generated"
	^handle signedLongAt: 5! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
id: anObject
	"This method was automatically generated"
	handle signedLongAt: 5 put: anObject! !

!Hand methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
isValid
	^ self isValidN ~= 0! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
isValidN
	"This method was automatically generated"
	^handle signedLongAt: 9! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
isValidN: anObject
	"This method was automatically generated"
	handle signedLongAt: 9 put: anObject! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
palmPosition
	"This method was automatically generated"
	^Vector3 fromHandle: (handle structAt: 41 length: 16)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
palmPosition: anObject
	"This method was automatically generated"
	handle structAt: 41 put: anObject getHandle length: 16.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
pitch
	"This method was automatically generated"
	^handle floatAt: 13! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
pitch: anObject
	"This method was automatically generated"
	handle floatAt: 13 put: anObject! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
roll
	"This method was automatically generated"
	^handle floatAt: 21! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
roll: anObject
	"This method was automatically generated"
	handle floatAt: 21 put: anObject! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
sphereCenter
	"This method was automatically generated"
	^Vector3 fromHandle: (handle structAt: 25 length: 16)! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
sphereCenter: anObject
	"This method was automatically generated"
	handle structAt: 25 put: anObject getHandle length: 16.! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
sphereRadius
	"This method was automatically generated"
	^handle floatAt: 1! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
sphereRadius: anObject
	"This method was automatically generated"
	handle floatAt: 1 put: anObject! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
yaw
	"This method was automatically generated"
	^handle floatAt: 17! !

!Hand methodsFor: 'accessing-autogenerated' stamp: 'sgb 6/9/2014 16:50'!
yaw: anObject
	"This method was automatically generated"
	handle floatAt: 17 put: anObject! !

ExternalStructure subclass: #InteractionBox
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

!InteractionBox class methodsFor: 'as yet unclassified' stamp: 'sgb 6/5/2014 17:14'!
fields
"
	self defineFields.
"
	^ #(
	(center 'Vector3')
	(depth 'float')
	(height 'float')
	(width 'float')	
	)! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
center
	"This method was automatically generated"
	^Vector3 fromHandle: (handle structAt: 1 length: 16)! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
center: anObject
	"This method was automatically generated"
	handle structAt: 1 put: anObject getHandle length: 16.! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
depth
	"This method was automatically generated"
	^handle floatAt: 17! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
depth: anObject
	"This method was automatically generated"
	handle floatAt: 17 put: anObject! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
height
	"This method was automatically generated"
	^handle floatAt: 21! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
height: anObject
	"This method was automatically generated"
	handle floatAt: 21 put: anObject! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
width
	"This method was automatically generated"
	^handle floatAt: 25! !

!InteractionBox methodsFor: 'accessing' stamp: 'sgb 6/5/2014 17:14'!
width: anObject
	"This method was automatically generated"
	handle floatAt: 25 put: anObject! !

ExternalStructure subclass: #LeapFrame
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

LeapFrame class
	instanceVariableNames: 'nilInstance'!

LeapFrame class
	instanceVariableNames: 'nilInstance'!

!LeapFrame class methodsFor: 'as yet unclassified' stamp: 'sgb 6/5/2014 17:22'!
fields
"
	self defineFields.
"
	^ #(
	(currentFramesPerSecond 'float')
	(handsCount 'long')
	(fingersCount 'long')
	(toolsCount 'long')
	(gesturesCount 'long')
	(ib 'InteractionBox')
	(hand1 'Hand')
	(hand2 'Hand')
	(hand3 'Hand')
	(hand4 'Hand')
	
	)! !

!LeapFrame class methodsFor: 'as yet unclassified' stamp: 'sgb 6/9/2014 15:24'!
nil
	^ nilInstance ifNil: [nilInstance := self new]! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
currentFramesPerSecond
	"This method was automatically generated"
	^handle floatAt: 1! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
currentFramesPerSecond: anObject
	"This method was automatically generated"
	handle floatAt: 1 put: anObject! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
fingersCount
	"This method was automatically generated"
	^handle signedLongAt: 9! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
fingersCount: anObject
	"This method was automatically generated"
	handle signedLongAt: 9 put: anObject! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
gesturesCount
	"This method was automatically generated"
	^handle signedLongAt: 17! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
gesturesCount: anObject
	"This method was automatically generated"
	handle signedLongAt: 17 put: anObject! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand1
	"This method was automatically generated"
	^Hand fromHandle: (handle structAt: 49 length: 356)! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand1: anObject
	"This method was automatically generated"
	handle structAt: 49 put: anObject getHandle length: 356.! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand2
	"This method was automatically generated"
	^Hand fromHandle: (handle structAt: 405 length: 356)! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand2: anObject
	"This method was automatically generated"
	handle structAt: 405 put: anObject getHandle length: 356.! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand3
	"This method was automatically generated"
	^Hand fromHandle: (handle structAt: 761 length: 356)! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand3: anObject
	"This method was automatically generated"
	handle structAt: 761 put: anObject getHandle length: 356.! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand4
	"This method was automatically generated"
	^Hand fromHandle: (handle structAt: 1117 length: 356)! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
hand4: anObject
	"This method was automatically generated"
	handle structAt: 1117 put: anObject getHandle length: 356.! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
handsCount
	"This method was automatically generated"
	^handle signedLongAt: 5! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
handsCount: anObject
	"This method was automatically generated"
	handle signedLongAt: 5 put: anObject! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
ib
	"This method was automatically generated"
	^InteractionBox fromHandle: (handle structAt: 21 length: 28)! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
ib: anObject
	"This method was automatically generated"
	handle structAt: 21 put: anObject getHandle length: 28.! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
toolsCount
	"This method was automatically generated"
	^handle signedLongAt: 13! !

!LeapFrame methodsFor: 'accessing' stamp: 'sgb 6/9/2014 16:51'!
toolsCount: anObject
	"This method was automatically generated"
	handle signedLongAt: 13 put: anObject! !

ExternalStructure subclass: #Vector3
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LeapMotion-FFI'!

!Vector3 class methodsFor: 'as yet unclassified' stamp: 'sgb 6/4/2014 18:46'!
fields
"
	self defineFields.
"
	^ #(
	(x 'float')
	(y 'float')
	(z 'float')
	(magnitude 'float')	
	)! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
magnitude
	"This method was automatically generated"
	^handle floatAt: 13! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
magnitude: anObject
	"This method was automatically generated"
	handle floatAt: 13 put: anObject! !

!Vector3 methodsFor: 'printing' stamp: 'sgb 6/4/2014 19:47'!
printOn: aStream	
	self x rounded printOn: aStream.
	aStream nextPut: $@.
	self y rounded printOn: aStream.
	aStream nextPut: $@.
	self z rounded printOn: aStream! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
x
	"This method was automatically generated"
	^handle floatAt: 1! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
x: anObject
	"This method was automatically generated"
	handle floatAt: 1 put: anObject! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
y
	"This method was automatically generated"
	^handle floatAt: 5! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
y: anObject
	"This method was automatically generated"
	handle floatAt: 5 put: anObject! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
z
	"This method was automatically generated"
	^handle floatAt: 9! !

!Vector3 methodsFor: 'accessing' stamp: 'sgb 6/4/2014 19:41'!
z: anObject
	"This method was automatically generated"
	handle floatAt: 9 put: anObject! !
